InconsistentException
Keywords: uk.ac.ic.doc.automed.InconsistentException,InconsistentException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Class InconsistentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--uk.ac.ic.doc.automed.InconsistentException

All Implemented Interfaces:
  java.io.Serializable

public class InconsistentException
extends java.lang.RuntimeException

A manipulation of the repository that should always succeed has failed. This will be caused when two users (or two Java applications) are operating on the same repository, since the AutoMed system at present implements no concurrency control. If the message persists, then recreate the repository. If the above is not the case, then there must be a bug in the AutoMed system, which should be reported.

Author:
  Michael Boyd (mboyd@doc.ic.ac.uk), Peter McBrien (pjm@doc.ic.ac.uk), Nerissa Tong (nnyt98@doc.ic.ac.uk)
See Also:
  Serialized Form

Constructor Summary
`InconsistentException(java.lang.String msg)` Creates an InconsistentException when there has been no Exception that caused the error to discovered.
`InconsistentException(java.lang.String msg, java.lang.Exception e)` Creates an InconsistentException when it is acting as a wrapper for other Exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InconsistentException

    public InconsistentException(java.lang.String msg)

  Creates an InconsistentException when there has been no Exception that caused the error to discovered.

Parameters:
  `msg` - message for the exception.

### InconsistentException

    public InconsistentException(java.lang.String msg,
                                 java.lang.Exception e)

  Creates an InconsistentException when it is acting as a wrapper for other Exceptions.

Parameters:
  `msg` - message for the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD